System.Web 2.0.0.0 System.Configuration.Provider.ProviderCollection

The membership providers for an application are exposed as a read-only by the property of the class. You can access a specific membership provider in the collection by name and cast it as the specific provider type, such as . This enables you to manage membership information from multiple data stores in a single application as well as access custom members of a membership provider that are not part of the abstract class.

If you are not familiar with the membership features of ASP.NET, see Introduction to Membership before continuing. For a list of other topics related to membership, see Managing Users By Using Membership.

A collection of objects that inherit the abstract class.

- Constructor

  This constructor is not intended to be used from your code.

  Creates a new, empty membership provider collection.

  2.0.0.0
- Method
  System.Void ``

  This method is not intended to be used from your code.

  Adds a membership provider to the collection.

  The membership provider to add to the collection. 2.0.0.0
- Method
  System.Void `` ``

  This method uses to copy role provider objects to the specified array.

  Copies the membership provider collection to a one-dimensional array.

  A one-dimensional array that is the destination of the elements copied from the . The array must have zero-based indexing. The zero-based index in at which copying begins. 2.0.0.0
- Property
  System.Web.Security.MembershipProvider `` To be added. To be added. To be added. To be added. 2.0.0.0